StarPU Handbook

Macros | Enumerations | Functions | Variables
starpu_heteroprio.h File Reference
`#include <starpu.h>`

Go to the source code of this file.

## Macros
#define | STARPU_HETEROPRIO_MAX_PRIO
#define | STARPU_HETEROPRIO_MAX_PREFETCH

## Enumerations
enum | starpu_heteroprio_types { STARPU_CPU_IDX , STARPU_CUDA_IDX , STARPU_OPENCL_IDX , STARPU_MIC_IDX , STARPU_MPI_MS_IDX , STARPU_NB_TYPES }

## Functions
void | starpu_heteroprio_set_nb_prios (unsigned sched_ctx_id, enum starpu_heteroprio_types arch, unsigned max_prio)
void | starpu_heteroprio_set_mapping (unsigned sched_ctx_id, enum starpu_heteroprio_types arch, unsigned source_prio, unsigned dest_bucket_id)
void | starpu_heteroprio_set_faster_arch (unsigned sched_ctx_id, enum starpu_heteroprio_types arch, unsigned bucket_id)
void | starpu_heteroprio_set_arch_slow_factor (unsigned sched_ctx_id, enum starpu_heteroprio_types arch, unsigned bucket_id, float slow_factor)

## Variables
static const unsigned | starpu_heteroprio_types_to_arch [STARPU_NB_TYPES+1]

## Function Documentation

## ◆ starpu_heteroprio_set_nb_prios()

void starpu_heteroprio_set_nb_prios | ( | unsigned | sched_ctx_id,
|  | enum starpu_heteroprio_types | arch,
|  | unsigned | max_prio
| ) |  |

Tell how many prio there are for a given arch

## ◆ starpu_heteroprio_set_mapping()

void starpu_heteroprio_set_mapping | ( | unsigned | sched_ctx_id,
|  | enum starpu_heteroprio_types | arch,
|  | unsigned | source_prio,
|  | unsigned | dest_bucket_id
| ) |  |

Set the mapping for a given arch prio=>bucket

## ◆ starpu_heteroprio_set_faster_arch()

void starpu_heteroprio_set_faster_arch | ( | unsigned | sched_ctx_id,
|  | enum starpu_heteroprio_types | arch,
|  | unsigned | bucket_id
| ) |  |

Tell which arch is the faster for the tasks of a bucket (optional)

## ◆ starpu_heteroprio_set_arch_slow_factor()

void starpu_heteroprio_set_arch_slow_factor | ( | unsigned | sched_ctx_id,
|  | enum starpu_heteroprio_types | arch,
|  | unsigned | bucket_id,
|  | float | slow_factor
| ) |  |

Tell how slow is a arch for the tasks of a bucket (optional)